Index: trunk/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/DOM/domain.F90	(revision 1601)
@@ -5,5 +5,4 @@
    !!==============================================================================
    !! History :  OPA  !  1990-10  (C. Levy - G. Madec)  Original code
-   !!                 !  1991-11  (G. Madec)
    !!                 !  1992-01  (M. Imbard) insert time step initialization
    !!                 !  1996-06  (G. Madec) generalized vertical coordinate 
@@ -23,4 +22,5 @@
    USE sbc_oce         ! surface boundary condition: ocean
    USE phycst          ! physical constants
+   USE closea          ! closed seas
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distributed memory computing library
@@ -31,5 +31,4 @@
    USE dommsk          ! domain: set the mask system
    USE domwri          ! domain: write the meshmask file
-   USE closea          ! closed sea or lake              (dom_clo routine)
    USE domvvl          ! variable volume
 
@@ -54,19 +53,18 @@
       !!                    
       !! ** Purpose :   Domain initialization. Call the routines that are 
-      !!      required to create the arrays which define the space and time
-      !!      domain of the ocean model.
+      !!              required to create the arrays which define the space 
+      !!              and time domain of the ocean model.
       !!
-      !! ** Method  :
-      !!      - dom_msk: compute the masks from the bathymetry file
-      !!      - dom_hgr: compute or read the horizontal grid-point position and
-      !!                scale factors, and the coriolis factor
-      !!      - dom_zgr: define the vertical coordinate system and the bathymetry
-      !!      - dom_stp: defined the model time step
-      !!      - dom_wri: create the meshmask file if nmsh=1
+      !! ** Method  : - dom_msk: compute the masks from the bathymetry file
+      !!              - dom_hgr: compute or read the horizontal grid-point position
+      !!                         and scale factors, and the coriolis factor
+      !!              - dom_zgr: define the vertical coordinate and the bathymetry
+      !!              - dom_stp: defined the model time step
+      !!              - dom_wri: create the meshmask file if nmsh=1
       !!----------------------------------------------------------------------
       INTEGER ::   jk                ! dummy loop argument
       INTEGER ::   iconf = 0         ! temporary integers
       !!----------------------------------------------------------------------
-
+      !
       IF(lwp) THEN
          WRITE(numout,*)
@@ -74,21 +72,13 @@
          WRITE(numout,*) '~~~~~~~~'
       ENDIF
-
-      CALL dom_nam                        ! read namelist ( namrun, namdom, namcla )
-
-      CALL dom_clo                        ! Closed seas and lake
-
-      CALL dom_hgr                        ! Horizontal mesh
-
-      CALL dom_zgr                        ! Vertical mesh and bathymetry
-
-      CALL dom_msk                        ! Masks
-
-      IF( lk_vvl )   CALL dom_vvl         ! Vertical variable mesh
-
-      ! Local depth or Inverse of the local depth of the water column at u- and v-points
-      ! ------------------------------
-      ! Ocean depth at U- and V-points
-      hu(:,:) = 0.e0
+      !
+                             CALL dom_nam      ! read namelist ( namrun, namdom, namcla )
+                             CALL dom_clo      ! Closed seas and lake
+                             CALL dom_hgr      ! Horizontal mesh
+                             CALL dom_zgr      ! Vertical mesh and bathymetry
+                             CALL dom_msk      ! Masks
+      IF( lk_vvl         )   CALL dom_vvl      ! Vertical variable mesh
+      !
+      hu(:,:) = 0.e0                           ! Ocean depth at U- and V-points
       hv(:,:) = 0.e0
       DO jk = 1, jpk
@@ -96,20 +86,11 @@
          hv(:,:) = hv(:,:) + fse3v(:,:,jk) * vmask(:,:,jk)
       END DO
-      ! Inverse of the local depth
-      hur(:,:) = fse3u(:,:,1)             ! Lower bound : thickness of the first model level
-      hvr(:,:) = fse3v(:,:,1)
-      DO jk = 2, jpk                      ! Sum of the vertical scale factors
-         hur(:,:) = hur(:,:) + fse3u(:,:,jk) * umask(:,:,jk)
-         hvr(:,:) = hvr(:,:) + fse3v(:,:,jk) * vmask(:,:,jk)
-      END DO
-      ! Compute and mask the inverse of the local depth
-      hur(:,:) = 1. / hur(:,:) * umask(:,:,1)
-      hvr(:,:) = 1. / hvr(:,:) * vmask(:,:,1)
-
-      CALL dom_stp                        ! Time step
-
-      IF( nmsh /= 0 )   CALL dom_wri      ! Create a domain file
-
-      IF( .NOT.ln_rstart )   CALL dom_ctl    ! Domain control
+      !                                        ! Inverse of the local depth
+      hur(:,:) = 1. / ( hu(:,:) + 1.e0 - umask(:,:,1) ) * umask(:,:,1)
+      hvr(:,:) = 1. / ( hv(:,:) + 1.e0 - vmask(:,:,1) ) * vmask(:,:,1)
+
+                             CALL dom_stp      ! time step
+      IF( nmsh /= 0      )   CALL dom_wri      ! Create a domain file
+      IF( .NOT.ln_rstart )   CALL dom_ctl      ! Domain control
       !
    END SUBROUTINE dom_init
@@ -127,49 +108,58 @@
       !!----------------------------------------------------------------------
       USE ioipsl
-      NAMELIST/namrun/ no    , cexper, cn_ocerst_in, cn_ocerst_out, ln_rstart, nrstdt,   &
-         &             nit000, nitend, ndate0      , nleapy       , ninist   , nstock,   &
-         &             nwrite, ln_dimgnnn, ln_mskland, ln_clobber, nn_chunksz
-
-      NAMELIST/namdom/ ntopo , e3zps_min, e3zps_rat, nmsh   ,   &
-         &             nacc  , atfp     , rdt      , rdtmin ,   &
-         &             rdtmax, rdth     , nn_baro  , nclosea
-      NAMELIST/namcla/ n_cla
-      !!----------------------------------------------------------------------
-
-      IF(lwp) THEN
+      NAMELIST/namrun/ nn_no   , cn_exp    , cn_ocerst_in, cn_ocerst_out, ln_rstart , nn_rstctl,   &
+         &             nn_it000, nn_itend  , nn_date0    , nn_leapy     , nn_istate , nn_stock ,   &
+         &             nn_write, ln_dimgnnn, ln_mskland  , ln_clobber   , nn_chunksz
+      NAMELIST/namdom/ nn_bathy , rn_e3zps_min, rn_e3zps_rat, nn_msh   ,   &
+         &             nn_acc   , rn_atfp     , rn_rdt      , rn_rdtmin,   &
+         &             rn_rdtmax, rn_rdth     , nn_baro     , nn_closea
+      NAMELIST/namcla/ nn_cla
+      !!----------------------------------------------------------------------
+
+      REWIND( numnam )              ! Namelist namrun : parameters of the run
+      READ  ( numnam, namrun )
+      !
+      IF(lwp) THEN                  ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'dom_nam  : domain initialization through namelist read'
          WRITE(numout,*) '~~~~~~~ '
-      ENDIF
-
-      REWIND( numnam )              ! Namelist namrun : parameters of the run
-      READ  ( numnam, namrun )
-      IF(lwp) THEN
-         WRITE(numout,*) '        Namelist namrun'
-         WRITE(numout,*) '           job number                      no        = ', no
-         WRITE(numout,*) '           experiment name for output      cexper    = ', cexper
-         WRITE(numout,*) '           restart logical                 ln_rstart = ', ln_rstart
-         WRITE(numout,*) '           control of time step            nrstdt    = ', nrstdt
-         WRITE(numout,*) '           number of the first time step   nit000    = ', nit000
-         WRITE(numout,*) '           number of the last time step    nitend    = ', nitend
-         WRITE(numout,*) '           initial calendar date aammjj    ndate0    = ', ndate0
-         WRITE(numout,*) '           leap year calendar (0/1)        nleapy    = ', nleapy
-         WRITE(numout,*) '           initial state output            ninist    = ', ninist
-         WRITE(numout,*) '           frequency of restart file       nstock    = ', nstock
-         WRITE(numout,*) '           frequency of output file        nwrite    = ', nwrite
-         WRITE(numout,*) '           multi file dimgout           ln_dimgnnn   = ', ln_dimgnnn
-         WRITE(numout,*) '           mask land points             ln_mskland   = ', ln_mskland
-         WRITE(numout,*) '           overwrite an existing file   ln_clobber   = ', ln_clobber
-         WRITE(numout,*) '           NetCDF chunksize (bytes)     nn_chunksz   = ', nn_chunksz
-      ENDIF
-
-      ! ... Control of output frequency
+         WRITE(numout,*) '   Namelist namrun'
+         WRITE(numout,*) '      job number                      nn_no      = ', nn_no
+         WRITE(numout,*) '      experiment name for output      cn_exp     = ', cn_exp
+         WRITE(numout,*) '      restart logical                 ln_rstart  = ', ln_rstart
+         WRITE(numout,*) '      control of time step            nn_rstdt   = ', nn_rstctl
+         WRITE(numout,*) '      number of the first time step   nn_it000   = ', nn_it000
+         WRITE(numout,*) '      number of the last time step    nn_itend   = ', nn_itend
+         WRITE(numout,*) '      initial calendar date aammjj    nn_date0   = ', nn_date0
+         WRITE(numout,*) '      leap year calendar (0/1)        nn_leapy   = ', nn_leapy
+         WRITE(numout,*) '      initial state output            nn_istate  = ', nn_istate
+         WRITE(numout,*) '      frequency of restart file       nn_stock   = ', nn_stock
+         WRITE(numout,*) '      frequency of output file        nn_write   = ', nn_write
+         WRITE(numout,*) '      multi file dimgout              ln_dimgnnn = ', ln_dimgnnn
+         WRITE(numout,*) '      mask land points                ln_mskland = ', ln_mskland
+         WRITE(numout,*) '      overwrite an existing file      ln_clobber = ', ln_clobber
+         WRITE(numout,*) '      NetCDF chunksize (bytes)        nn_chunksz = ', nn_chunksz
+      ENDIF
+
+      no = nn_no                    ! conversion DOCTOR names into model names (this should disappear soon)
+      cexper = cn_exp
+      nrstdt = nn_rstctl
+      nit000 = nn_it000
+      nitend = nn_itend
+      ndate0 = nn_date0
+      nleapy = nn_leapy
+      ninist = nn_istate
+      nstock = nn_stock
+      nwrite = nn_write
+
+
+      !                             ! control of output frequency
       IF ( nstock == 0 .OR. nstock > nitend ) THEN
-         WRITE(ctmp1,*) '           nstock = ', nstock, ' it is forced to ', nitend
+         WRITE(ctmp1,*) 'nstock = ', nstock, ' it is forced to ', nitend
          CALL ctl_warn( ctmp1 )
          nstock = nitend
       ENDIF
       IF ( nwrite == 0 ) THEN
-         WRITE(ctmp1,*) '           nwrite = ', nwrite, ' it is forced to ', nitend
+         WRITE(ctmp1,*) 'nwrite = ', nwrite, ' it is forced to ', nitend
          CALL ctl_warn( ctmp1 )
          nwrite = nitend
@@ -177,22 +167,22 @@
 
 #if defined key_agrif
-      if ( Agrif_Root() ) then
+      IF( Agrif_Root() ) THEN
 #endif
-      SELECT CASE ( nleapy )   ! Choose calendar for IOIPSL
+      SELECT CASE ( nleapy )        ! Choose calendar for IOIPSL
       CASE (  1 ) 
          CALL ioconf_calendar('gregorian')
-         IF(lwp) WRITE(numout,*) '           The IOIPSL calendar is "gregorian", i.e. leap year'
+         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "gregorian", i.e. leap year'
       CASE (  0 )
          CALL ioconf_calendar('noleap')
-         IF(lwp) WRITE(numout,*) '           The IOIPSL calendar is "noleap", i.e. no leap year'
+         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "noleap", i.e. no leap year'
       CASE ( 30 )
          CALL ioconf_calendar('360d')
-         IF(lwp) WRITE(numout,*) '           The IOIPSL calendar is "360d", i.e. 360 days in a year'
+         IF(lwp) WRITE(numout,*) '   The IOIPSL calendar is "360d", i.e. 360 days in a year'
       END SELECT
 #if defined key_agrif
-      endif
+      ENDIF
 #endif
 
-      SELECT CASE ( nleapy )   ! year=raajj*days day=rjjhh*hours hour=rhhmm*minutes etc ...
+      SELECT CASE ( nleapy )       ! year=raajj*days day=rjjhh*hours hour=rhhmm*minutes etc ...
       CASE ( 1 )
          raajj = 365.25
@@ -210,40 +200,54 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) '           nb of days per year      raajj = ', raajj,' days'
-         WRITE(numout,*) '           nb of seconds per year   raass = ', raass, ' s'
-         WRITE(numout,*) '           nb of seconds per month  rmoss = ', rmoss, ' s'
-      ENDIF
-
-      REWIND( numnam )              ! Namelist namdom : space/time domain (bathymetry, mesh, timestep)
+         WRITE(numout,*) '   nb of days per year      raajj = ', raajj,' days'
+         WRITE(numout,*) '   nb of seconds per year   raass = ', raass, ' s'
+         WRITE(numout,*) '   nb of seconds per month  rmoss = ', rmoss, ' s'
+      ENDIF
+
+      REWIND( numnam )             ! Namelist namdom : space & time domain (bathymetry, mesh, timestep)
       READ  ( numnam, namdom )
 
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) '        Namelist namdom'
-         WRITE(numout,*) '           flag read/compute bathymetry   ntopo     = ', ntopo
-         WRITE(numout,*) '           minimum thickness of partial   e3zps_min = ', e3zps_min, ' (m)'
-         WRITE(numout,*) '              step level                  e3zps_rat = ', e3zps_rat
-         WRITE(numout,*) '           flag write mesh/mask file(s)   nmsh      = ', nmsh
-         WRITE(numout,*) '                = 0   no file created                 '
-         WRITE(numout,*) '                = 1   mesh_mask                       '
-         WRITE(numout,*) '                = 2   mesh and mask                   '
-         WRITE(numout,*) '                = 3   mesh_hgr, msh_zgr and mask      '
-         WRITE(numout,*) '           acceleration of converge       nacc      = ', nacc
-         WRITE(numout,*) '           asselin time filter parameter  atfp      = ', atfp
-         WRITE(numout,*) '           time step                      rdt       = ', rdt
-         WRITE(numout,*) '           minimum time step on tracers   rdtmin    = ', rdtmin
-         WRITE(numout,*) '           maximum time step on tracers   rdtmax    = ', rdtmax
-         WRITE(numout,*) '           depth variation tracer step    rdth      = ', rdth
-         WRITE(numout,*) '           number of barotropic time step nn_baro   = ', nn_baro
-      ENDIF
-
-      n_cla = 0
-      REWIND( numnam )              ! Namelist cross land advection
+         WRITE(numout,*) '   Namelist namdom : space & time domain'
+         WRITE(numout,*) '      flag read/compute bathymetry      nn_bathy     = ', nn_bathy
+         WRITE(numout,*) '      minimum thickness of partial      rn_e3zps_min = ', rn_e3zps_min, ' (m)'
+         WRITE(numout,*) '         step level                     rn_e3zps_rat = ', rn_e3zps_rat
+         WRITE(numout,*) '      create mesh/mask file(s)          nn_msh       = ', nn_msh
+         WRITE(numout,*) '           = 0   no file created                 '
+         WRITE(numout,*) '           = 1   mesh_mask                       '
+         WRITE(numout,*) '           = 2   mesh and mask                   '
+         WRITE(numout,*) '           = 3   mesh_hgr, msh_zgr and mask      '
+         WRITE(numout,*) '      ocean time step                      rn_rdt    = ', rn_rdt
+         WRITE(numout,*) '      asselin time filter parameter        rn_atfp   = ', rn_atfp
+         WRITE(numout,*) '      time-splitting: nb of sub time-step  nn_baro   = ', nn_baro
+         WRITE(numout,*) '      acceleration of converge             nn_acc    = ', nn_acc
+         WRITE(numout,*) '        nn_acc=1: surface tracer rdt       rn_rdtmin = ', rn_rdtmin
+         WRITE(numout,*) '                  bottom  tracer rdt       rdtmax    = ', rn_rdtmax
+         WRITE(numout,*) '                  depth of transition      rn_rdth   = ', rn_rdth
+         WRITE(numout,*) '      suppression of closed seas (=0)      nn_closea = ', nn_closea
+      ENDIF
+
+      ntopo     = nn_bathy          ! conversion DOCTOR names into model names (this should disappear soon)
+      e3zps_min = rn_e3zps_min
+      e3zps_rat = rn_e3zps_rat
+      nmsh      = nn_msh
+      nacc      = nn_acc
+      atfp      = rn_atfp
+      rdt       = rn_rdt
+      rdtmin    = rn_rdtmin
+      rdtmax    = rn_rdtmin
+      rdth      = rn_rdth
+      nclosea   = nn_closea
+
+      REWIND( numnam )             ! Namelist cross land advection
       READ  ( numnam, namcla )
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) '        Namelist namcla'
-         WRITE(numout,*) '           cross land advection        n_cla        = ',n_cla
-      ENDIF
+         WRITE(numout,*) '   Namelist namcla'
+         WRITE(numout,*) '      cross land advection                 nn_cla    = ', nn_cla
+      ENDIF
+
+      n_cla = nn_cla                ! conversion DOCTOR names into model names (this should disappear soon)
 
       IF( nbit_cmp == 1 .AND. n_cla /= 0 )   CALL ctl_stop( ' Reproductibility tests (nbit_cmp=1) require n_cla = 0' )
@@ -261,13 +265,9 @@
       !!----------------------------------------------------------------------
       INTEGER ::   iimi1, ijmi1, iimi2, ijmi2, iima1, ijma1, iima2, ijma2
-      INTEGER, DIMENSION(2) ::   iloc      ! 
+      INTEGER, DIMENSION(2) ::   iloc   ! 
       REAL(wp) ::   ze1min, ze1max, ze2min, ze2max
       !!----------------------------------------------------------------------
-
-      IF(lwp)WRITE(numout,*)
-      IF(lwp)WRITE(numout,*) 'dom_ctl : extrema of the masked scale factors'
-      IF(lwp)WRITE(numout,*) '~~~~~~~'
-
-      IF (lk_mpp) THEN
+      !
+      IF(lk_mpp) THEN
          CALL mpp_minloc( e1t(:,:), tmask(:,:,1), ze1min, iimi1,ijmi1 )
          CALL mpp_minloc( e2t(:,:), tmask(:,:,1), ze2min, iimi2,ijmi2 )
@@ -293,6 +293,8 @@
          ijma2 = iloc(2) + njmpp - 1
       ENDIF
-
-      IF(lwp) THEN
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'dom_ctl : extrema of the masked scale factors'
+         WRITE(numout,*) '~~~~~~~'
          WRITE(numout,"(14x,'e1t maxi: ',1f10.2,' at i = ',i5,' j= ',i5)") ze1max, iima1, ijma1
          WRITE(numout,"(14x,'e1t mini: ',1f10.2,' at i = ',i5,' j= ',i5)") ze1min, iimi1, ijmi1
Index: trunk/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 1601)
@@ -36,5 +36,6 @@
    PUBLIC   dom_msk    ! routine called by inidom.F90
 
-   REAL(wp) ::   shlat = 2.   ! type of lateral boundary condition on velocity (namelist namlbc)
+   !                            !!* Namelist namlbc : lateral boundary condition *
+   REAL(wp) ::   rn_shlat = 2.   ! type of lateral boundary condition on velocity
    
    !! * Substitutions
@@ -77,10 +78,10 @@
       !!
       !!        The lateral friction is set through the value of fmask along
-      !!      the coast and topography. This value is defined by shlat, a
+      !!      the coast and topography. This value is defined by rn_shlat, a
       !!      namelist parameter:
-      !!         shlat = 0, free slip  (no shear along the coast)
-      !!         shlat = 2, no slip  (specified zero velocity at the coast)
-      !!         0 < shlat < 2, partial slip   | non-linear velocity profile
-      !!         2 < shlat, strong slip        | in the lateral boundary layer
+      !!         rn_shlat = 0, free slip  (no shear along the coast)
+      !!         rn_shlat = 2, no slip  (specified zero velocity at the coast)
+      !!         0 < rn_shlat < 2, partial slip   | non-linear velocity profile
+      !!         2 < rn_shlat, strong slip        | in the lateral boundary layer
       !!
       !!      N.B. If nperio not equal to 0, the land/ocean mask arrays
@@ -106,5 +107,5 @@
       !!               vmask    : land/ocean mask at v-point (=0. or 1.)
       !!               fmask    : land/ocean mask at f-point (=0. or 1.)
-      !!                          =shlat along lateral boundaries
+      !!                          =rn_shlat along lateral boundaries
       !!               bmask    : land/ocean mask at barotropic stream
       !!                          function point (=0. or 1.) and set to 0 along lateral boundaries
@@ -114,8 +115,8 @@
       INTEGER  ::   iif, iil, ii0, ii1, ii
       INTEGER  ::   ijf, ijl, ij0, ij1
-      INTEGER, DIMENSION(jpi,jpj) ::  imsk
+      INTEGER , DIMENSION(jpi,jpj) ::  imsk
       REAL(wp), DIMENSION(jpi,jpj) ::   zwf
-
-      NAMELIST/namlbc/ shlat
+      !!
+      NAMELIST/namlbc/ rn_shlat
       !!---------------------------------------------------------------------
       
@@ -128,14 +129,14 @@
          WRITE(numout,*) '~~~~~~'
          WRITE(numout,*) '   Namelist namlbc'
-         WRITE(numout,*) '      lateral momentum boundary cond. shlat = ',shlat
-      ENDIF
-
-      IF(             shlat == 0.            ) THEN   ;   IF(lwp) WRITE(numout,*) '         ocean lateral free-slip '
-        ELSEIF (      shlat == 2.            ) THEN   ;   IF(lwp) WRITE(numout,*) '         ocean lateral  no-slip '
-        ELSEIF ( 0. < shlat .AND. shlat < 2. ) THEN   ;   IF(lwp) WRITE(numout,*) '         ocean lateral  partial-slip '
-        ELSEIF ( 2. < shlat                  ) THEN   ;   IF(lwp) WRITE(numout,*) '         ocean lateral  strong-slip '
-        ELSE
-          WRITE(ctmp1,*) ' shlat is negative = ', shlat
-          CALL ctl_stop( ctmp1 )
+         WRITE(numout,*) '      lateral momentum boundary cond.    rn_shlat = ',rn_shlat
+      ENDIF
+
+      IF     (      rn_shlat == 0.               ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral free-slip '
+      ELSEIF (      rn_shlat == 2.               ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral  no-slip '
+      ELSEIF ( 0. < rn_shlat .AND. rn_shlat < 2. ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral  partial-slip '
+      ELSEIF ( 2. < rn_shlat                     ) THEN   ;   IF(lwp) WRITE(numout,*) '   ocean lateral  strong-slip '
+      ELSE
+         WRITE(ctmp1,*) ' rn_shlat is negative = ', rn_shlat
+         CALL ctl_stop( ctmp1 )
       ENDIF
 
@@ -148,5 +149,5 @@
          DO jj = 1, jpj
             DO ji = 1, jpi
-               IF( REAL( mbathy(ji,jj) - jk ) +.1 >= 0.e0 ) tmask(ji,jj,jk) = 1.e0
+               IF( REAL( mbathy(ji,jj) - jk ) +.1 >= 0.e0 )   tmask(ji,jj,jk) = 1.e0
             END DO  
          END DO  
@@ -155,7 +156,6 @@
 !!gm  ????
 #if defined key_zdfkpp
-      IF( cp_cfg == 'orca' )   THEN
-         IF( jp_cfg == 2 )   THEN
-            ! land point on Bab el Mandeb zonal section
+      IF( cp_cfg == 'orca' ) THEN
+         IF( jp_cfg == 2 )   THEN       ! land point on Bab el Mandeb zonal section
             ij0 =  87   ;   ij1 =  88
             ii0 = 160   ;   ii1 = 161
@@ -283,6 +283,6 @@
             DO ji = fs_2, fs_jpim1   ! vector opt.
                IF( fmask(ji,jj,jk) == 0. ) THEN
-                  fmask(ji,jj,jk) = shlat * MIN( 1., MAX( zwf(ji+1,jj), zwf(ji,jj+1),   &
-                     &                                    zwf(ji-1,jj), zwf(ji,jj-1)  )  )
+                  fmask(ji,jj,jk) = rn_shlat * MIN( 1., MAX( zwf(ji+1,jj), zwf(ji,jj+1),   &
+                     &                                       zwf(ji-1,jj), zwf(ji,jj-1)  )  )
                ENDIF
             END DO
@@ -290,16 +290,16 @@
          DO jj = 2, jpjm1
             IF( fmask(1,jj,jk) == 0. ) THEN
-               fmask(1  ,jj,jk) = shlat * MIN( 1., MAX( zwf(2,jj), zwf(1,jj+1), zwf(1,jj-1) ) )
+               fmask(1  ,jj,jk) = rn_shlat * MIN( 1., MAX( zwf(2,jj), zwf(1,jj+1), zwf(1,jj-1) ) )
             ENDIF
             IF( fmask(jpi,jj,jk) == 0. ) THEN
-               fmask(jpi,jj,jk) = shlat * MIN( 1., MAX( zwf(jpi,jj+1), zwf(jpim1,jj), zwf(jpi,jj-1) ) )
+               fmask(jpi,jj,jk) = rn_shlat * MIN( 1., MAX( zwf(jpi,jj+1), zwf(jpim1,jj), zwf(jpi,jj-1) ) )
             ENDIF
          END DO         
          DO ji = 2, jpim1
             IF( fmask(ji,1,jk) == 0. ) THEN
-               fmask(ji, 1 ,jk) = shlat * MIN( 1., MAX( zwf(ji+1,1), zwf(ji,2), zwf(ji-1,1) ) )
+               fmask(ji, 1 ,jk) = rn_shlat * MIN( 1., MAX( zwf(ji+1,1), zwf(ji,2), zwf(ji-1,1) ) )
             ENDIF
             IF( fmask(ji,jpj,jk) == 0. ) THEN
-               fmask(ji,jpj,jk) = shlat * MIN( 1., MAX( zwf(ji+1,jpj), zwf(ji-1,jpj), zwf(ji,jpjm1) ) )
+               fmask(ji,jpj,jk) = rn_shlat * MIN( 1., MAX( zwf(ji+1,jpj), zwf(ji-1,jpj), zwf(ji,jpjm1) ) )
             ENDIF
          END DO
